
package require json

# Impl
proc get-issue {issue} {
	json::json2dict [geturl-auth "https://api.github.com/repos/$::repo/issues/$issue" $::name $::pass]
}

proc get-last-issues {ago} {
	json::json2dict [geturl-auth "https://api.github.com/repos/$::repo/issues?filter=&since=[iso8601 $ago]" $::name $::pass]
}

proc issue-summary {issue} {
	dict get $issue title
}

proc issue-number {issue} {
	dict get $issue number
}

proc issue-url {issue} {
	dict get $issue url
}

proc issue-new? {issue} {
	string equal [dict get $issue created_at] [dict get $issue updated_at]
}

proc issue-closed? {issue} {
	string equal [dict get $issue closed_at] [dict get $issue updated_at]
}

# utils
proc iso8601 {ago} {
	clock format [expr {[clock seconds] - $ago}] -format %Y-%m-%dT%H:%M:%SZ
}

